#!/bin/sh
# Prepare les fichier de distribution
# suprime et recre un repertoir contenant les distributions
VERS="ec-gtk"
if [ -e ./distrib ]
then
rm -r ./distrib
fi

mkdir distrib
cd distrib

# executable
rep=$VERS
mkdir 			$rep;
cp ../ec 		$rep/ec;
cp ../readme.txt 	$rep ;
cp ../GNU_Licence 	$rep;

mkdir $rep/blue_pixmap
cp ../blue_pixmap/*.* 	$rep/blue_pixmap

zip -r $rep.zip   	$rep;
   
# sources
rep=$VERS"-src"
mkdir $rep;
cd ..
make   very_clean
cd distrib
cp ../*.c  		$rep;
cp ../Makefile 		$rep;
cp ../make_distrib.sh 	$rep;
cp ../*.txt		$rep;
cp ../GNU_Licence 	$rep;

mkdir $rep/blue_pixmap
cp ../blue_pixmap/*.* 	$rep/blue_pixmap
mkdir $rep/gimp_pixmap
cp ../gimp_pixmap/*.* 	$rep/gimp_pixmap


zip -r $rep.zip   $rep;
    
